;;;
;;;
;;; aph-example.el --- Example customizations for zenirc.el

;;; Author: Adam Harris <aph@debian.org>
;;; Created: 1998/07/09

; While you're at it, here's my stripped down .emacs zenirc config,
; which is much more suitable, I think, if you want to add it as an
; example. I haven't figured out how to strip out the ^B:^B stuff
; that BitchX adds though.

(cond ((locate-library "zenirc")
       (setq zenirc-beep-on-signal 'always
	     zenirc-signal-list '("^G" 
				  "^\\([^ ]\\)* PRIVMSG [^#&+]\\([^ ]\\)* :")
	     zenirc-always-show-channelname nil
	     zenirc-send-confirmation 'message
	     zenirc-fill-mode t		;fill incoming msgs
	     )
       (add-hook 'zenirc-mode-hook
		 (lambda ()
		 (require 'zenirc-away)
		 (require 'zenirc-complete)
		;(require 'zenirc-dcc)
		 (require 'zenirc-fill)
		 (require 'zenirc-format)
		 (require 'zenirc-history)
		 (require 'zenirc-ignore)
		 (require 'zenirc-netsplit)
		 (require 'zenirc-trigger)
		 ))))
